#
# Copyright (C) 2017-2020 Red Hat, Inc.
#
# Cockpit is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# Cockpit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Cockpit; If not, see <http://www.gnu.org/licenses/>.
#

Name:           cockpit-podman
Version:        99
Release:        1.20250121084840850353.main.52.g3dfc1ea%{?dist}
Summary:        Cockpit component for Podman containers
License:        LGPL-2.1-or-later
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        cockpit-podman-99.52.g3dfc1ea.tar.xz
BuildArch:      noarch
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires:       cockpit-bridge
Requires:       podman >= 2.0.4
# HACK https://github.com/containers/crun/issues/1091
%if 0%{?centos} == 9
Requires:       criu-libs
%elif 0%{?suse_version}
Requires:       libcriu2
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.12
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.14
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(@xterm/addon-canvas)) = 0.7.0
Provides: bundled(npm(@xterm/xterm)) = 5.5.0
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(docker-names)) = 1.2.1
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(ipaddr.js)) = 2.2.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Tue Jan 21 2025 Packit <hello@packit.dev> - 99-1.20250121084840850353.main.52.g3dfc1ea
- test: drop focus workaround for TextInput (Jelle van der Waa)
- Allow search filter to be cleared (Jelle van der Waa)
- cockpit-ci: Update container to 2025-01-20 (Cockpit Project)
- cockpit-ci: Update container to 2025-01-18 (Cockpit Project)
- Bump stylelint from 16.12.0 to 16.13.2 in the stylelint group (dependabot[bot])
- Bump eslint-plugin-react in the eslint group (dependabot[bot])
- Bump @patternfly/react-table in the patternfly group (dependabot[bot])
- Drop run healthcheck action from container kebab menu (Jelle van der Waa)
- Hide rename option for systemd managed podman containers (Jelle van der Waa)
- Drop runtime checks for podman > 3 (Jelle van der Waa)
- Identify systemd managed containers by a label (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- Hide container/image Command details for quadlets (Jelle van der Waa)
- cockpit-ci: Update container to 2025-01-11 (Cockpit Project)
- Bump glob from 11.0.0 to 11.0.1 (dependabot[bot])
- Makefile: Update Cockpit lib to 1986ae8b4a7a6cb55dfade9899c20dcf (Cockpit Project)
- Use TypeaheadSelect in ImageRunModal (Marius Vollmer)
- test: Disable firewalld StrictForwardPorts on RHEL 10 (Martin Pitt)
- test: Factorize registry setup in testDownloadImage() (Martin Pitt)
- Makefile: Update Cockpit lib to 6c1cf25ab08eb91aa3f81360e453496e (Cockpit Project)
- cockpit-ci: Update container to 2025-01-04 (Cockpit Project)
- Makefile: Update Cockpit lib to a9014134134c5ed5b6729c3e6c6fb870 (Cockpit Project)
- cockpit-ci: Update container to 2024-12-28 (Cockpit Project)
- Bump eslint-plugin-react in the eslint group (dependabot[bot])
- Makefile: Update Cockpit lib to 49a64f6c36495af362592b02f8832337 (Cockpit Project)
- cockpit-ci: Update container to 2024-12-21 (Cockpit Project)
- Bump stylelint from 16.11.0 to 16.12.0 in the stylelint group (dependabot[bot])
- Bump the esbuild group with 2 updates (dependabot[bot])
- Bump the patternfly group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 11a740cbca185e4adba9c5abb06fd205 (Cockpit Project)
- Drop .jsx extension from imports (Martin Pitt)
- po: Update from Fedora Weblate (GitHub Workflow)
- cockpit-ci: Update container to 2024-12-16 (Cockpit Project)
- test: show catatonit version for testing farm runs (Jelle van der Waa)
- cockpit-ci: Update container to 2024-12-14 (Cockpit Project)
- Makefile: Update Cockpit lib to 35090b743b6b4536fc9c09cd9644c1c3 (Cockpit Project)
- cockpit-ci: Update container to 2024-12-08 (Cockpit Project)
- dependabot: Don't update major React version (Martin Pitt)
- Bump the patternfly group with 2 updates (dependabot[bot])
- Makefile: make fedora-41 the default TEST_OS (Jelle van der Waa)
- Makefile: Update Cockpit lib to da6175624075fbc0bf20100011f1e090 (Cockpit Project)
- Makefile: Update Cockpit lib to cb7eab38b2ab09c56fedcddbfecb2b41 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Bump the stylelint group with 2 updates (dependabot[bot])
- stylelint: Update deprecated at-import-partial-extension (Martin Pitt)
- test: Move reference-image to Fedora 41 (Martin Pitt)
- Makefile: Update Cockpit lib to 7090fab7372ef7e87e508d207e6468ba (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Makefile: Update Cockpit lib to 0133a17b840169e76e93c9fe800616f9 (Cockpit Project)
- Bump the patternfly group with 2 updates (dependabot[bot])
- Convert substr() usage to substring() (Jelle van der Waa)
- Makefile: Update Cockpit lib to 035dc2d9be846320bbe4b2be75c32277 (Cockpit Project)
